%define qtdir /usr/lib/qt-1.45
%define kdeprefix %{_prefix}

Summary: An ICQ client for KDE.
Name: kicq
Version: 0.3.19991212
Release: 6
Epoch: 3
Group: Applications/Internet
Copyright: GPL
Url: http://kicq.sourceforge.net/kicq.shtml
Source: http://kicq.sourceforge.net/%{name}-19991212.tar.gz
Requires: icqlib >= 0.1.19991212, kdelibs
BuildPrereq: kdelibs-devel, icqlib
Buildroot: %{_tmppath}/%{name}-%{version}-root
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
Kicq is a K Desktop Environment (KDE) and Qt based ICQ client.  ICQ is
an online instant messaging/conferencing system developed by
Mirabilis.  Kicq closely resembles Mirabilis' ICQ, but is a beta and
so does not have all of ICQ's features.  Kicq does allow you to send
and receive messages, to search for users and add them to your contact
list, and allows you to configure kicq from within the GUI.  You'll
need to have X and KDE installed in order to use kicq.

%prep
%setup -q -n kicq-19991212

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir} ROOT=/
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT%{kdeprefix}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO VERSION
%attr(755,root,root) %{prefix}/bin/kicq
%attr(644,root,root) %{prefix}/share/applnk/Internet/kicq.kdelnk
%dir %{prefix}/share/apps/kicq
%dir %{prefix}/share/apps/kicq/pics
%attr(644,root,root) %{prefix}/share/apps/kicq/pics/*
%attr(644,root,root) %{prefix}/share/icons/kicq.xpm
%attr(644,root,root) %{prefix}/share/icons/mini/kicq.xpm

%changelog
* Fri Aug 11 2000 Than Ngo <than@redhat.com>
- added icqlib in BuildPrereq

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- move back to powertools (kde1 ist now installed as default)
- rebuilt against the kdelibs-1.1.2

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version
- Qt 1.45
- update URL

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- update for 6.1

* Wed Apr 21 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Dec 14 1998 Ryan Weaver <ryanw@infohwy.com>
  [kicq-0.3.0-2]
- ReWrote Specfile.
- Version 0.3.0 (08 Dec 1998)
  ! New Messages/URLs set blinking icons rather than popups immediatly.
  ! View Message History on each user in Contact List.
  ! SOCKS5 proxy support.
  ! Send/Receive URLs.
  ! Docking in kpanel.
    Rename user ability.
    Beep on new Messages/URLs.
    Alert/Accept Modes popup menu with Online Alert and Visible to User items.
    Reconnect on disconnect.
    Preferences for sound and SOCKS5 proxy.
    Main window remember position, size, desktop and other properties.
    Info fields like ICQ# and message body can be scrolled and copied by mouse.
    Changed empty lines in Info window to "Not Entered".
    Message body size limit.
    Popup menu focus grabbing with Qt-1.41+ fixed.
    Enabled already implemented search by ICQ# feature.
    Fixed "wide" Info button in Windows style of KDE.
    Login password stripped to 8 symbols.
    Many many other bug-fixes and improvements...

* Wed Dec  9 1998 Ryan Weaver <ryanw@infohwy.com>
- Updated to Version 0.3.0

* Wed Oct 28 1998 Sorin Lingureanu <sorin@dntis.ro>
 - first rpm version
